scsi_execute
Prev | drivers/scsi/scsi_lib.c | Next

## Name

scsi_execute — insert request and wait for the result

## Synopsis

`int scsi_execute (` | struct scsi_device * | sdev,
| const unsigned char * | cmd,
| int | data_direction,
| void * | buffer,
| unsigned | bufflen,
| unsigned char * | sense,
| int | timeout,
| int | retries,
| int | flags`)`;

## Arguments

`sdev`

  scsi device

`cmd`

  scsi command

`data_direction`

  data direction

`buffer`

  data buffer

`bufflen`

  len of buffer

`sense`

  optional sense buffer

`timeout`

  request timeout in seconds

`retries`

  number of times to retry request

`flags`

  or into request flags;

## Description

returns the req->errors value which is the scsi_cmnd result field.

Prev | Up | Next
scsi_nonblockable_ioctl | Home | scsi_execute_async